Skip to content

Get user profile

GET
/users/v2/me

Get the profile of the current user

Authorizations

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Responses

Successful response

application/json
JSON
{
  
"data": {
  
  
"uuid": "string",
  
  
"oauthUserUuid": "string",
  
  
"firstName": "string",
  
  
"lastName": "string",
  
  
"email": "string",
  
  
"role": "string"
  
},
  
"message": "string",
  
"status": 200,
  
"meta": {
  
}
}

Playground

Authorization

Samples


Get users

GET
/accounts/{accountUuid}/v2/users

Get all users for an account

Authorizations

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"

Responses

Successful response

application/json
JSON
{
  
"data": [
  
  
{
  
  
  
"uuid": "string",
  
  
  
"email": "string",
  
  
  
"firstName": "string",
  
  
  
"lastName": "string",
  
  
  
"isOwner": true,
  
  
  
"isAdmin": true
  
  
}
  
],
  
"message": "string",
  
"status": 200,
  
"meta": {
  
}
}

Playground

Authorization
Variables
Key
Value

Samples


List user accounts

GET
/users/v2/me/accounts

Lists all accounts of the current user

Authorizations

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters

Query Parameters

page
Type
[ "integer", "null" ]
Default
1
Minimum
1
perPage
Type
[ "integer", "null" ]
Minimum
1

Responses

Successful response

application/json
JSON
{
  
"data": [
  
  
{
  
  
  
"uuid": "string",
  
  
  
"appInstanceUuid": "string",
  
  
  
"name": "string",
  
  
  
"email": "string",
  
  
  
"type": "string",
  
  
  
"lastLogin": "string",
  
  
  
"isOwner": true,
  
  
  
"accountRole": "string"
  
  
}
  
],
  
"message": "string",
  
"status": 200,
  
"meta": {
  
}
}

Playground

Authorization
Variables
Key
Value

Samples


Get user

GET
/accounts/{accountUuid}/v2/users/{userUuid}

Get a user for an account

Authorizations

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
userUuid*
Type
string
Required
Format
"uuid"

Responses

Successful response

application/json
JSON
{
  
"data": {
  
  
"uuid": "string",
  
  
"email": "string",
  
  
"firstName": "string",
  
  
"lastName": "string",
  
  
"isOwner": true,
  
  
"isAdmin": true
  
},
  
"message": "string",
  
"status": 200,
  
"meta": {
  
}
}

Playground

Authorization
Variables
Key
Value

Samples